# norootforbuild
%define php_version %(php-config4 --version 2>/dev/null)

Name:	php4-imagick
Version: 0.9.13
Release: 2.3
#
License: PHP
Group: Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: php4-devel >= 4.4.8 ImageMagick-devel >= 6.2.4
Requires: php4 = %{php_version}
#
URL: http://pecl.php.net/package/imagick/
Source: http://pecl.php.net/package/imagick/imagick-%{version}.tgz
Summary: Provides a wrapper to the ImageMagick/GraphicsMagick library.
Patch0: imagick-exception.diff

%description

Provides a wrapper to the ImageMagick/GraphicsMagick library.

Authors:
---------
    Christian Stocker <chregu@php.net>
    Michael C. Montero <mmontero@mail.communityconnect.com>
	Scott MacVicar <scottmac@php.net>

%prep

%setup -n imagick-%{version}
%patch0 -p1

%{__mkdir} %{name}

%build

/usr/bin/phpize4

pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-imagick=%{_usr} --with-libdir=%{_lib} --with-php-config=%{_bindir}/php-config4

%{__make} %{?jobs:-j%jobs}

popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php4/php.d

echo "; comment out next line to disable imagick extension in php" > %{buildroot}%{_sysconfdir}/php4/php.d/imagick.ini
echo 'extension = imagick.so' >> %{buildroot}%{_sysconfdir}/php4/php.d/imagick.ini


%clean

%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php4/imagick.so
%config(noreplace) %{_sysconfdir}/php4/php.d/imagick.ini

%doc CREDITS INSTALL

%changelog -n php4-imagick
* Sat Aug 08 2009 Carsten Schoene <cs@linux-administrator.com> - 0.9.13-1
- build for php4
